IncludeScript("base_ctf");
IncludeScript("base_location");

blue_bag_lift = genericbackpack:new({ 
	health = 75,
	armor = 100,
	grenades = 0,
	bullets = 300,
	nails = 300,
	rockets = 300,
	cells = 100,
	detpacks = 0,
	gren1 = 0,
	gren2 = 0,
	respawntime = 15,
	model = "models/items/backpack/backpack.mdl",
	materializesound = "Item.Materialize",
	touchsound = "Backpack.Touch",
	notallowedmsg = "#FF_NOTALLOWEDPACK",
	touchflags = {AllowFlags.kOnlyPlayers,AllowFlags.kBlue}
})

blue_bag_vramp = genericbackpack:new({ 
	health = 50,
	armor = 100,
	grenades = 0,
	bullets = 300,
	nails = 300,
	rockets = 300,
	cells = 100,
	detpacks = 0,
	gren1 = 1,
	gren2 = 1,
	respawntime = 20,
	model = "models/items/backpack/backpack.mdl",
	materializesound = "Item.Materialize",
	touchsound = "Backpack.Touch",
	notallowedmsg = "#FF_NOTALLOWEDPACK",
	touchflags = {AllowFlags.kOnlyPlayers,AllowFlags.kBlue}
})

blue_bag_fr = genericbackpack:new({ 
	health = 25,
	armor = 50,
	grenades = 0,
	bullets = 300,
	nails = 300,
	rockets = 300,
	cells = 100,
	detpacks = 0,
	gren1 = 0,
	gren2 = 0,
	respawntime = 15,
	model = "models/items/backpack/backpack.mdl",
	materializesound = "Item.Materialize",
	touchsound = "Backpack.Touch",
	notallowedmsg = "#FF_NOTALLOWEDPACK",
	touchflags = {AllowFlags.kOnlyPlayers,AllowFlags.kBlue}
})

function player_spawn( player_entity )
	local player = CastToPlayer( player_entity )

	player:AddHealth( 400 )
	player:AddArmor( 400 )

	player:AddAmmo( Ammo.kNails, 400 )
	player:AddAmmo( Ammo.kShells, 400 )
	player:AddAmmo( Ammo.kRockets, 400 )
	player:AddAmmo( Ammo.kCells, 400 )
	player:AddAmmo( Ammo.kDetpack, 1 )
	player:AddAmmo( Ammo.kGren1, 4 )
	player:AddAmmo( Ammo.kGren2, 4 )
end

resupply = trigger_ff_script:new({ team = Team.kUnassigned })

function resupply:ontouch( touch_entity )
	if IsPlayer( touch_entity ) then
		local player = CastToPlayer( touch_entity )
		if player:GetTeamId() == self.team then
			player:AddHealth( 400 )
			player:AddArmor( 400 )
			player:AddAmmo( Ammo.kNails, 400 )
			player:AddAmmo( Ammo.kShells, 400 )
			player:AddAmmo( Ammo.kRockets, 400 )
			player:AddAmmo( Ammo.kCells, 400 )
		end
	end
end

blue_resupply = resupply:new({ team = Team.kBlue })
red_resupply = resupply:new({ team = Team.kRed })

loc_outside = location_info:new({ text = "Outside", team = Team.kBlue })
blue_loc_battlements = location_info:new({ text = "Battlements", team = Team.kBlue })
blue_loc_underpass = location_info:new({ text = "Underpass", team = Team.kBlue })
blue_loc_crossover = location_info:new({ text = "Crossover", team = Team.kBlue })
blue_loc_lower_vramp = location_info:new({ text = "V-Ramp Tunnel", team = Team.kBlue })
blue_loc_vramp = location_info:new({ text = "V-Ramp", team = Team.kBlue })
blue_loc_vramp_corridor = location_info:new({ text = "V-Ramp Corridor to Flag Room", team = Team.kBlue })
blue_loc_lift = location_info:new({ text = "Lift", team = Team.kBlue })
blue_loc_lift_corridor = location_info:new({ text = "Lift Corridor to Flag Room", team = Team.kBlue })
blue_loc_fr = location_info:new({ text = "Flag Room", team = Team.kBlue })

red_loc_battlements = location_info:new({ text = "Battlements", team = Team.kRed })
red_loc_underpass = location_info:new({ text = "Underpass", team = Team.kRed })
red_loc_crossover = location_info:new({ text = "Crossover", team = Team.kRed })
red_loc_lower_vramp = location_info:new({ text = "V-Ramp Tunnel", team = Team.kRed })
red_loc_vramp = location_info:new({ text = "V-Ramp", team = Team.kRed })
red_loc_vramp_corridor = location_info:new({ text = "V-Ramp Corridor to Flag Room", team = Team.kRed })
red_loc_lift = location_info:new({ text = "Lift", team = Team.kRed })
red_loc_lift_corridor = location_info:new({ text = "Lift Corridor to Flag Room", team = Team.kRed })
red_loc_fr = location_info:new({ text = "Flag Room", team = Team.kRed })